package cn.iocoder.foodnexus.module.order.api;

import cn.iocoder.foodnexus.module.order.dto.DeliveryStaffSimpleInfo;

import java.util.Map;
import java.util.Set;

/**
 * @author : yanghao
 * create at:  2025/9/25  15:54
 * @description: 配送员api
 */
public interface DeliveryStaffApi {

    String queryNameByStaffId(Long staffId);

    Long queryStaffIdByUserId(Long loginUserId);

    DeliveryStaffSimpleInfo querybyStaffId(Long staffId);

    Map<Long, DeliveryStaffSimpleInfo> getMap(Set<Long> longs);
}
